# Super-Admin

- L'authentification par **Github** est requise pour se connecter en **super-admin**
- Le **super-admin** du logiciel _Démarches-Simplifiées_ peut :
  - ajouter des **administrateur** qui ajouterons des démarches (alias: formulaires/procédures)
  - modifier ou supprimer un utilisateur (usager, instructeur ou administrateur)
  - activer des fonctionnalités supplémentaires (webhook, graphQL, ...)
  - consulter l'adresse email utilisée pour remplir un dossier, mais il n'a pas accès aux autres données du formulaire.
  - ...

## Documentaion

- [Créer le **super-admin**](create_super-admin.md)
- Dans votre navigateur :
  - `/manager/` : connection en **super-admin** via l'authentification Github
  - `/manager/procedures` : liste des démarches (alias: formulaires/procédures)
  - `/manager/administrateurs` : consultation et ajout d'**administrateur**
  - `/manager/users` : consultation et modification d'un utilisateur 
  - ...
  - `/manager/delayed_job/` :  file d'attente des actions asynchrone (envoi d'email, notification webhook, ...)
  - `/manager/features/features` : activation de fonctionnalités supplémentaires (webhook, graphQL, ...)



### Debug

#### Afficher la configuration de l'application
```bash
cd <repertoire-de-l-application>
cat .env | grep GITHUB
```

#### Vérifier la base de données en ligne de commande
```bash
 # Afficher tous les utilisateurs avec droit SuperAdmin
cd <repertoire-de-l-application>
bin/rake superadmin:list 
```

#### Vérifier la base de données en SQL

```bash
# Se connecter à la base de données
psql <databaseName>

```
```sql
-- Afficher tous les utilisateurs existant
SELECT id, email, instructeur_id, administrateur_id FROM users;

-- Afficher tous les utilisateurs avec droit SuperAdmin
SELECT id, email FROM administrations;
```



