# Base de données

### Tables des utilisateurs

* **users** : contient tous les utilisateurs
* **administrations** : contient tous les utilisateurs ayant les droits superAdmin
* **administrateurs** : contient tous les utilisateurs ayant les droits "administrateur" (création de formulaire)
* **instructeurs** : contient tous les utilisateurs ayant les droits instructeurs (traitement des dossiers) 
* **individuals** : contient tous les utilisateurs "citoyen" ou personne morale (usager remplissant une démarche en ligne)


```bash
# Se connecter à la base de données
psql <databaseName>

```
```sql
-- Afficher tous les utilisateurs existant
SELECT id, 
       email, 
       instructeur_id, 
       administrateur_id 
FROM users;

-- Afficher tous les utilisateurs avec droit SuperAdmin
SELECT id, 
       email 
FROM administrations;
```
