# Vagrant box for _Démarches-Simplifiées_

Vagrant box for Démarches Simplifiées (DS)

see: [vagrant-demarches-simplifiees](https://gitlab.adullact.net/demarches-simplifiees/vagrant-demarches-simplifiees/-/tree/v1.x) repository on **v1.x** branch :
- [V1 - Step 1: Prerequisites and install](v1_step1_Prerequisites-and-Install.md)
  - [V1 - Step 2: last manual steps](v1_step2_configuration_last_manual_steps.md)
- [V1 - Running Tests In the VM](v1_vagrant_test.md)

## Restart vagrant box

if you stopped this Vagrant box with the `vagrant halt` command (turning off your computer is the same), you can restart your vagrant box by following the instructions below:

```bash
cd vagrant-demarches-simplifiees
vagrant up
vagrant ssh
``` 

### In vagrant box

```bash
cd /home/vagrant/demarches-simplifiees.fr/

# Update dependencies and database
bin/update # useful if you have updated the DS repository 

# Lists vagrant box IP addresses 
ip a    

# Start server to be able to restart it quickly
RAILS_QUEUE_ADAPTER=delayed_job
bin/rails server --binding=<IP-of-vagrant-box> 
        # Use Ctrl-C to stop
``` 


## Use _Démarches-Simplifiées_

### As anonymous user

In your browser, type in: `http://<IP-of-vagrant-box>:3000/` 

### As registered user

1. Go to `http://<IP-of-vagrant-box>:3000/users/sign_in`
2. Log in with login: `test@exemple.fr` and password: `this is a very complicated password !`
3. Check user's emails at `http://<IP-of-vagrant-box>:3000/letter_opener`
4. Validate registration 
