
# Vagrant box "v1.x" for _Démarches-Simplifiées_

see: [vagrant-demarches-simplifiees](https://gitlab.adullact.net/demarches-simplifiees/vagrant-demarches-simplifiees/-/tree/v1.x) repository on **v1.x** branch.

## Prerequisites

* Virtualbox 
* Vagrant
* Git
* a Ruby version management tool like RVM or [RBenv](https://github.com/rbenv/rbenv)
* r10k (`gem install r10k`)

## Usage

### 1. Grab source code of Démarches Simplifiées

```shell script
mkdir my-project # "my-project" is the parent directory holding DS source code
cd my-project   
git clone git@github.com:betagouv/demarches-simplifiees.fr.git
```

Note: you may clone your own fork of the source code (if you want to contribute for instance)

### 2. Grab source code of vagrant-demarches-simplifiees 

```bash
git clone git@gitlab.adullact.net:demarches-simplifiees/vagrant-demarches-simplifiees.git
```

### 3. Prepare the vagrant box

```bash
cd vagrant-demarches-simplifiees
git checkout v1.x
./BUILD.sh
```

### 4. Run the vagrant box

```bash
vagrant up
```

### 5. Finish manual configuration

Complete the instructions from [Configuration_last_manual_steps](v1_step2_configuration_last_manual_steps.md).

### How to rebuild the vagrant box 

```bash
vagrant destroy -f && vagrant up
```
