# Scénario connue 

*  Gérer un formulaire (en tant qu'instructeur)

## Créer un compte utilisateur (en tant que citoyen)

Lorsque l'on se rend sur un formulaire (page/lien) en tant que , pour la 1ère fois, on a le choix entre 2 boutons : 

- `Créer un compte`
- `J'ai déjà un compte`
- Cliquer sur le premier bouton `Créer un compte`.
- Renseigner les champs : "email" et "mot de passe". 
- Redirection vers une page d'information qui indique : "Ouvrez votre boîte email, et cliquez sur le lien d’activation dans le message que vous avez reçu."
- Rendez-vous sur votre boite mail utilisé pour DS. Ouvrir le mail, cliquer sur le lien. 
- Nouvelle page DS. Affichage du message de confirmation "Votre compte a été activé".
- Cliquer sur le bouton `Commencer la démarche`.
- Renseigné les informations de civilité pour compléter la création du compte. (M, Mme, Nom, Prénom).
- Cliquer sur le bouton `continuer`.
- Nouveau message de confirmation "Identité enregistrée"
- Accès au formulaire

Le logo rond en haut à droite (à côté du bouton "Aide") permet d'accéder à la page de profil du compte et de se déconnecter.

## Créer un compte utilisateur : de type "Administration" ou "Instructeur"

Ces deux types de comptes sont créé par les exploitants de la plate-forme DS (ayant accès à la machine de production).

Sur la machine de production :

- Dans le répertoire de DS (".../demarches-simplifiees.fr")
- ouvrir la console rails : 
    ```
    rails c
    irb(main):001:0> 
    ```
- Commande pour créer un compte instructeur : 
    ```
    User.create_or_promote_to_instructeur('instructeur@exemple.com', 'un mot de passe')
    ```

- Commande pour créer un compte administrateur (créateur de formulaire) : 
    ```
    User.create_or_promote_to_administrateur('administrateur@exemple.com', 'un mot de passe')
    ```

##  Modifier son mot de passe utilisateur 

(Sous-entend qu'un compte utilisateur est déjà créer)

L'initialisation de la procédure est la même pour n'importe quel type de compte : 

- Sur la page d'accueil de DS cliquer sur le bouton `connexion`
- Arriver sur la page `/users/sign_in`
- Cliquer sur le lien `Mot de passe oublié ?`
- Renseigner l'adresse email du compte utilisateur DS pour lequel on souhaite modifier le mot de passe
- Cliquer sur le bouton `Réinitialiser`
- Ouvrir la boite mail correspondant à l'adresse. Ouvrir le mail de DS. Cliquer sur lien de réinitialisation. 
- Renseigner le nouveau mot de passe dans le premier champ, confirmer le nouveau mot de passe dans le deuxième champ. 
- Cliquer sur le bouton `Changer le mot de passe`.
- Dans le cas d'un compte "administrateur" (seulement), un nouveau lien de confirmation est envoyé par email. Cliquer sur le lien
- Le nouveau mot de passe est enregistré et vous êtes connecté sur votre compte utilisateur. (Le message "Votre mot de passe a été changé avec succès, vous êtes maintenant connecté" est lisible)

Informations complémentaires :

- Le mot de passe doit faire plus de 8 caractères. (En dessous un message d'erreur "mot de passe trop court" apparait). Il ne nécessite pas obligatoirement de caractères spéciaux ou de chiffre.
- Il doit être identique dans les deux champs. 
- Le lien de changement de mot de passe à une durée d'expiration (autour de la demi-heure).

##  Remplir un formulaire (en tant que citoyen)

(Sous-entend qu'un formulaire à déjà été créé par un organisme/administration) 

L'acces au formulaire se fait via un lien ou une page web fournit par la structure (ex : un lien sur le site de l'école ou envoyé par mail par la mairie...)
Remplir un formulaire créer par une organisation (mairie, bibliothèque, piscine, école...) nécessite une authentification et donc un compte utilisateur. 
Deux cas : 
- l'utilisateur à déjà remplit un formulaire et possède déjà un compte. 
- l'utilisateur remplit son 1er formulaire et ne possède pas de compte. Il doit alors en créer un (voir section "créer un compte utilisateur").
- Cliquer sur le bouton de circonstance et s'identifier 
- Redirection vers le formulaire. 
- Remplir les champs demandés, les `*` rouges signalant les champs obligatoires. 
- En bas de page se trouvent deux boutons : `Enregistrer le brouillon`, `Déposer le dossier`. 
  * "Enregistrer le brouillon" permet de quitter la page et de garder les champs déjà renseignés enregistrés pour le complèter/terminer plus tard.
  * "Déposer le dossier" permet d'envoyer le formulaire aux instructeurs qui vont le traiter. L'envoi est définitif, il ne peut plus être modifié.
  
[Plus d'informations pour remplir une démarche](https://faq.demarches-simplifiees.fr/category/23-je-veux-faire-une-demarche)
  
## Modifier un formulaire (en tant que citoyen)

(Sous-entend qu'un utilisateur a déjà un compte a déjà rempli en partie/totalement un formulaire)
Dans le cas ou remplir un formulaire ne se fait pas en une fois, ou bien si il y a besoin d'ajouter des documents ou des informations complémentaires dans un second temps :  

- Se rendre sur le site du DS et s'identifier/se connecter
- Dans le cas ou l'utilisateur a remplit un formulaire et l'a enregistré (comme brouillon, ou envoyé pour traitement), il apparait sur la page de l'utilisateur (avec un numéro de dossier, le nom de
 la démarche, son status et la dernière date de mise à jour). 
- Le bouton `Actions` sur la ligne d'un dossier permet de : 
  * Modifier le brouillon
  * Commencer un autre dossier
  * Supprimer le dossier
- L'option `modifier le brouillon` permet de re-ouvrir le formulaire, de modifier les champs déjà renseignés et de compléter ceux laissé vide.
- L'option `Commencer un autre dossier` permet de re-ouvrir un formulaire vide. 
- l'option `Supprimer le dossier` supprime le brouillon. 
- /!\ Un dossier n'est plus modifiable par l'utilisateur lorsqu'il est `envoyé` et que son status est passé à `en instruction`. Ce changement de status est modifié par les instructeurs en charge du
 dossier. 
- Une fois modifier, le formulaire peut à nouveau être sauvegardé comme brouillon ou bien envoyé. 

## Créer un formulaire (en tant qu'administrateur)

(Pré-requis : avoir un compte administrateur)

- Sur la page d'accueil de DS se connecter avec un compte administrateur. 

### For the first time  

- Cliquer sur le bouton `Créer une nouvelle démarche de zéro` pour commencer la création d'un formulaire. 
- La première étape consiste a donner les informations contextuel de la démarche (le nom de la démarche, son logo, le temps de conservation des données, à qui s'adresse la démarche...). Les champs
 avec une `*` sont obligatoire pour la création.
- Les options avancées permettent la création d'une date limite de dépôt et de parametrer par défaut le status d'un dossier lorsque l'utilisateur final dépose son dossier.
- Cliquer sur le bouton `Créer la démarche`
- Arriver sur la page de choix des différents champs nécessaire ".../champs".
- Cliquer sur le bouton `+ Ajouter un champ` en bas de la page. Un encadré apparait avec différents champs.
- Le premier champ est une liste déroulante qui propose tous les différents types de champs possible (texte, date, adresse... [voir la liste exaustive](https://gitlab.adullact.net/demarches-simplifiees/demarches-simplifiees-documentation/-/blob/8-doc-support-utilisateur-pour-adullact/Utilisateurs/Informations_techniques.md)). Le libellé apparaitra comme le titre du champs et la
 description est un texte apparaissant sous le libellé ayant pour but d'expliquer ce que l'on attend de l'utilisateur final. 
- Rajouter autant de champ que nécessaire pour completer votre formulaire avec le même bouton `+ Ajouter un champ`. 
- Chaque champs s'affichera dans l'ordre de création. Vous pouvez, modifier la place d'un champs en utilisant le symbole (cliquer + glisser) avec une flèche dans le coin supérieur gauche de chaque
  encadré.
- Le bouton `Enregistrer` en bas à droite de la page permet de sauvegarder la progression à tout moment.
- Le bouton `Prévisualiser le formualaire` en haut de la page, permet de voir le résultat final que l'on obtiendra (vue par un utilisateur final).
- Une fois le formulaire terminé cliquer sur le bouton `Continuer >` en haut à droite.

### Interface administrateur

Interface de gestion des formulaires pour les comptes de types administrateur. 

- Arriver sur l'interface administrateur ".../admin"
- Les démarches créées et mises en lignes sont visible dans l'onglet `Publiées` sur la partie gauche de la fenêtre. Elles apparaissent dans la fenêtres sous forme de liste. 
- Les démarches créées mais non publiés sont visible dans l'onglet `En test`.

### Publier un formulaire

[Documentation officiel](https://doc.demarches-simplifiees.fr/tutoriels/tutoriel-administrateur#13-publier-sa-demarche) 
